> For the complete documentation index, see [llms.txt](https://docs.empe.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.empe.io/empe-blockchain/overview/migration-to-v0.3.0.md).

# Migration to v0.3.0

## [Release Notes](https://github.com/empe-io/empe-chain-releases/blob/master/v0.3.0/release_notes.md)

### For Linux AMD Distributions <a href="#for-linux-distributions-using-prebuild-binary" id="for-linux-distributions-using-prebuild-binary"></a>

Download the tar.gz file:

```
curl -LO https://github.com/empe-io/empe-chain-releases/raw/master/v0.3.0/emped_v0.3.0_linux_amd64.tar.gz
```

Verify the checksum (change filename for ARM):

```
sha256sum emped_v0.3.0_linux_amd64.tar.gz
```

You should see the following:

```
2bfe1bc92b5d5e20e72bcc7a3b24661fb30d74a050a915e4c6eaeba9fe41811b  emped_v0.3.0_linux_amd64.tar.gz
```

Unpack the tar.gz file:

```
tar -xvf emped_v0.3.0_linux_amd64.tar.gz
```

Move the binary to your local bin directory:

```
mkdir -p ~/go/bin
sudo mv emped ~/go/bin
```

### Install wasmvm library

Create a directory for the library

```bash
mkdir ~/.empe-chain/lib
```

Download the library to the directory

```bash
wget https://github.com/CosmWasm/wasmvm/releases/download/v1.5.2/libwasmvm.x86_64.so -P ~/.empe-chain/lib
```

Add the library to the path

```bash
echo 'export LD_LIBRARY_PATH=/home/$USER/.empe-chain/lib:$LD_LIBRARY_PATH' >> ~/.profile
source ~/.profile
```

Check the version

```
emped version
```

You should see the following:

```
0.3.0
```

### Setup cosmovisor <a href="#setup-cosmovisor" id="setup-cosmovisor"></a>

Create cosmovisor upgrade dir

```
export DAEMON_HOME=$HOME/.empe-chain/
mkdir -p $DAEMON_HOME/cosmovisor/upgrades/v0.3.0/bin
```

Put binary in proper dir

```
cp ~/go/bin/emped $DAEMON_HOME/cosmovisor/upgrades/v0.3.0/bin
```

Just to be sure check version (should be 0.3.0)

```
$DAEMON_HOME/cosmovisor/upgrades/v0.3.0/bin/emped version
```

### Add wasmvm path to cosmovisor service

Add the following line to the cosmovisor service file under the `[Service]` section. Remember to change `user_path` to your actual path

```bash
Environment="LD_LIBRARY_PATH=/home/user_path/.empe-chain/lib:$LD_LIBRARY_PATH"
```

Restart the cosmovisor service

```bash
sudo systemctl daemon-reload
sudo systemctl restart cosmovisor
```

### For Linux ARM Distribution

If (and only if) you're running ARM Linux, download this file instead:

```
curl -LO https://github.com/empe-io/empe-chain-releases/raw/master/v0.3.0/emped_v0.3.0_linux_arm64.tar.gz
```

Verify the checksum

```
sha256sum emped_v0.3.0_linux_arm64.tar.gz
```

You should see the following:

```
c46e8a589e62febbd2b9b6b14f610e504e35d7a547ed6bac380fcdd01acd6f8f  emped_v0.3.0_linux_arm64.tar.gz
```

Unpack the tar.gz file:

```
tar -xvf emped_v0.3.0_linux_arm64.tar.gz
```

### Install wasmvm library

Create a directory for the library

```bash
mkdir ~/.empe-chain/lib
```

Download the library to the directory

```bash
wget https://github.com/CosmWasm/wasmvm/releases/download/v1.5.2/libwasmvm.aarch64.so -P ~/.empe-chain/lib
```

Add the library to the path

```bash
echo 'export LD_LIBRARY_PATH=/home/$USER/.empe-chain/lib:$LD_LIBRARY_PATH' >> ~/.profile
source ~/.profile
```

Check the version

```
emped version
```

You should see the following:

```
0.3.0
```

### Continue with the shared steps

The remaining steps are identical to the AMD distribution. Continue with:

* Move the binary to your local bin directory — `mkdir -p ~/go/bin && sudo mv emped ~/go/bin`
* [Setup cosmovisor](#setup-cosmovisor) — create `$DAEMON_HOME/cosmovisor/upgrades/v0.3.0/bin` and copy the binary into it
* Add wasmvm path to cosmovisor service
* Restart the cosmovisor service


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.empe.io/empe-blockchain/overview/migration-to-v0.3.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
